DWARF_GET_DIE_INFOTYPES_FLAG(3)

NAME
dwarf_get_die_infotypes_flag - indicate the originating DWARF section for a DIE

LIBRARY
libdwarf

SYNOPSIS
#include <libdwarf.h>
Dwarf_Bool
dwarf_get_die_infotypes_flag(Dwarf_Die die);

DESCRIPTION
Function dwarf_get_die_infotypes_flag() returns a flag indicating the originating DWARF section for the debugging information entry referenced by argument die.

Argument die should reference a valid debugging information entry descriptor.

RETURN VALUES
Function dwarf_get_die_infotypes_flag() returns a non-zero value if argument die originates in the “.debug_info” section.

It returns zero if argument die originates in the “.debug_types” section.

ERRORS
Function dwarf_get_die_infotypes_flag() always succeeds.

SEE ALSO
dwarf(3), dwarf_next_cu_header_c(3), dwarf_offdie_b(3), dwarf_siblingof_b(3)